Bug 1266981 - PV recycling fails when there are dot files/directories
PV recycling fails when there are dot files/directories
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark Turansky
Liang Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-28 13:51 EDT by Scott Dodson
Modified: 2015-11-23 09:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:25:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Dodson 2015-09-28 13:51:49 EDT
Description of problem:
The recycler fails when there are dot directories and files. 

See https://github.com/openshift/origin/pull/3657
Comment 6 Jianwei Hou 2015-09-29 07:32:25 EDT
Verified on:

openshift v3.0.2.0-17-g701346b
kubernetes v1.1.0-alpha.0-1605-g44c91b1

registry.access.redhat.com/openshift3/ose-deployer v3.0.2.0 73fecc7ae1fc

Steps:
1. Create PV with Recycle reclaim policy, bound it with a PVC
2. Create a pod with the PVC
3. When the pod is available, create files and directories with and without dot under the mount dir, eg:
touch file1 file2 file3 .file1 .file2 .file3
mkdir -p a/b/c/d/e/f
mkdir -p .a/.b/.c/d/.e/f

4. Delete pod and pvc

Result:
After pod and pvc was deleted, PV firstly became 'Released', the files and directories were being deleted during this time. When all the files were directories are deleted, the PV became 'Available' again. Verified the PV and be bound again with when it's Available.
Comment 7 Brenton Leanhardt 2015-11-23 09:25:13 EST
This fix is available in OpenShift Enterprise 3.1.

Note You need to log in before you can comment on or make changes to this bug.